package com.vendor.burn.utilitily;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.utilitily.FileUtils;
import java.io.BufferedInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.OutputStream;
import java.util.zip.ZipOutputStream;

public class ZipUtils {
  public static final String UNIX_SEPERATOR = "/";
  
  public static void deleteAllFiles(File dirOrFile) {
    if (!dirOrFile.exists())
      return; 
    if (dirOrFile.isFile()) {
      FileUtils.deleteFile(dirOrFile);
    } else {
      if (dirOrFile.listFiles() != null && (dirOrFile
        .listFiles()).length > 0) {
        File[] fileList = dirOrFile.listFiles();
        for (int i = 0; i < fileList.length; i++)
          deleteAllFiles(fileList[i]); 
      } 
      FileUtils.deleteFile(dirOrFile);
    } 
  }
  
  public static void zipFolderToStream(String tempFolderPath, OutputStream ostream) {
    ZipOutputStream zipOutput = new ZipOutputStream(ostream);
    File rootDir = new File(tempFolderPath);
    File[] files = rootDir.listFiles();
    try {
      zipFiles(zipOutput, files, tempFolderPath);
      zipOutput.close();
    } catch (Exception exception) {}
  }
  
  private static void zipFiles(ZipOutputStream zipOut, File[] files, String tempFolderPath) throws FileNotFoundException, IOException {
    if (files == null)
      return; 
    for (int i = 0; i < files.length; i++) {
      File file = files[i];
      if (file.isDirectory()) {
        zipFiles(zipOut, file.listFiles(), tempFolderPath);
      } else {
        BufferedInputStream in = new BufferedInputStream(new FileInputStream(file));
      } 
    } 
  }
  
  public static String generateRelativePath(String rootPath, String fullPath) {
    File rootFile = new File(rootPath);
    File currentFile = new File(fullPath);
    String root = "";
    String path = "";
    String relativePath = null;
    try {
      root = rootFile.getCanonicalPath();
      path = currentFile.getCanonicalPath();
    } catch (IOException e) {
      return relativePath;
    } 
    if (root != null && path != null && path.startsWith(root)) {
      relativePath = path.substring(root.length() + 1);
    } else {
      relativePath = fullPath;
    } 
    relativePath = convertToUnixString(relativePath);
    return relativePath;
  }
  
  private static String convertToUnixString(String path) {
    if (path == null)
      return null; 
    return path.replace(File.separator.charAt(0), "/".charAt(0));
  }
}
